function code = opf_form(alg)
%OPF_FORM    Which OPF formulation is used by alg.
%   code = opf_form(alg) returns a formulation code given an algorithm code.
%	The codes are:
%		1 - standard, polynomial costs handled in the objective function
%		2 - CCV, piece-wise linear costs handled via constrainted cost vars

%   MATPOWER Version 2.0
%   by Ray Zimmerman, PSERC Cornell    12/23/97
%   Copyright (c) 1997 by Power System Engineering Research Center (PSERC)
%   See http://www.pserc.cornell.edu/ for more info.

code = fix(alg / 100);

return;
